%{!?_texmf: %define _texmf %(eval "echo `kpsewhich -expand-var '$TEXMFMAIN'`")}

Name:           hevea
Version:        1.10
Release:        6%{?dist}
Summary:        LaTeX to HTML translator
Group:          Applications/Publishing
License:        QPL
URL:            http://hevea.inria.fr/
Source:         http://hevea.inria.fr/distri/hevea-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	ocaml >= 3.0.7, /usr/bin/kpsewhich
Requires:       tetex-latex netpbm-progs ghostscript tetex-dvips
# Temporary until ocaml works
ExcludeArch:    sparc64 s390 s390x

%description
HEVEA is a quite complete and fast LATEX to HTML translator.
HEVEA renders symbols by using the so-called HTML "entites", which
modern browsers display correctly most of the time.


%prep
%setup -q

# Set our default paths
sed -i -e "s#\(BINDIR=\).*#\\1%{_bindir}#; \
	s#\(LIBDIR=\).*#\\1%{_datadir}/%{name}#; \
	s#\(LATEXLIBDIR=\).*#\\1%{_texmf}/tex/latex/hevea#; \
	s#\(DESTDIR=\).*#\\1%{buildroot}#; \
	" config.sh

%build
make %{?_smp_mflags} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/hevea \
	BINDIR=%{_bindir} \
	LATEXLIBDIR=%{_texmf}/tex/latex/hevea


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_libdir}/hevea
mkdir -p %{buildroot}%{_bindir}
make install \
	DESTDIR=%{buildroot} \
	PREFIX=%{_prefix} \
	LIBDIR=%{_datadir}/hevea \
	BINDIR=%{_bindir} \
	LATEXLIBDIR=%{_texmf}/tex/latex/hevea

	
%clean
rm -rf %{buildroot}


%post -p /usr/bin/texhash


%postun -p /usr/bin/texhash


%files
%defattr(-,root,root,-)
%doc README CHANGES LICENSE
%{_bindir}/*
%{_datadir}/hevea
%{_texmf}/tex/latex/hevea/


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Sep 22 2009 Dennis Gilmore <dennis@ausil.us> - 1.10-5
- switch ExclusiveArch to ExcludeArch on arches withot ocaml

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Nov 26 2008 Richard W.M. Jones <rjones@redhat.com> - 1.10-2
- Rebuild for OCaml 3.11.0+rc1.

* Mon Feb 11 2008 Andreas Thienemann <andreas@bawue.net> - 1.10-1
- Updated to 1.10

* Tue Aug 22 2007 Andreas Thienemann <andreas@bawue.net> - 1.09-3
- Added EA x86_64 as it was forgotten in -2

* Tue Aug 14 2007 Andreas Thienemann <andreas@bawue.net> - 1.09-2
- Added EA to prevent building on ppc64 until ocaml is available

* Tue Aug 14 2007 Andreas Thienemann <andreas@bawue.net> - 1.09-1
- Updated to 1.09

* Fri Sep 08 2006 Andreas Thienemann <andreas@bawue.net> - 1.08-6
- FE6 Rebuild

* Mon May 01 2006 Andreas Thienemann <andreas@bawue.net> - 1.08-5
- Typofix in %post

* Sun Apr 30 2006 Andreas Thienemann <andreas@bawue.net> - 1.08-4
- Included Requirements for imagen

* Fri Apr 28 2006 Andreas Thienemann <andreas@bawue.net> - 1.08-3
- Better comformity to FHS

* Fri Apr 28 2006 Andreas Thienemann <andreas@bawue.net> - 1.08-2
- Cleaned up and adapted for FE

* Sat Jul  2 2005 Gerard Milmeister <gemi@bluewin.ch> - 1.08-1
- New Version 1.08

* Fri Mar 19 2004 Gerard Milmeister <gemi@bluewin.ch> - 0:1.07-0.fdr.1
- First Fedora release
